/**
  * Archive
  */

button{
  outline: none;
  border: none;
}
#projects {
  display: grid;
  height: 80vh;
  max-height: 1028px;
}

.project-preview {
  width: 100%;
  height: 100%;
  position: relative;
}

.project-preview::after {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	background: rgba(0, 0, 0, 0.13);
}

.project-preview.contracted {
  opacity: 0.33;
}

.project-preview .wp-post-image {
  width: 100%;
  height: 80vh;
  max-height: 1028px;
  object-fit: cover;
	display: block;
}

.project-preview-details {
  position: absolute;
  left: 2rem;
  bottom: 1.5rem;
  color: #fff;
  display: none;
	z-index: 9;
}

.project-preview.expanded .project-preview-details {
  display: block;
}

.project-preview-details h1 {
  margin: 0;
  font-size: 1.66rem;
}

.project-preview-details h2 {
  margin: 0;
  font-size: 1.1rem;
}

.project-preview-details .sold {
  font-size: 0.7rem;
  font-family: 'Commuters Sans', sans-serif;
  border: 1px solid;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 16px;
}

.project-preview-details .sign-up {
  font-size: 0.7rem;
  font-family: 'Commuters Sans', sans-serif;
  border: 1px solid;
  padding: 6px 10px;
  display: block;
  margin-top: 16px;
}

/**
  * Single
  */
.project h3 {
  font-size: 0.8rem;
  font-weight: 600;
  font-family: 'Commuters Sans', sans-serif;
  text-transform: uppercase;
	letter-spacing: 0.05em;
}

.project-meta-amenities-heading{
  font-size: 1.875rem;
  line-height: 55px;
  text-align: center;
  margin: 0 0 47px;
}

.project-details, .project-amenities {
  margin-left: auto;
  margin-right: auto;
  width: 84%;
}

.project .content .wp-block-gallery {
  width: 100% !important;
}

.project .content{
  text-align: center;
  margin: 68px 0 110px;
}

.project .content h2{
  line-height: 55px;
  font-size: 1.875rem;
  margin: 0 0 1.125rem;
}

.project .content .description-wrapper .read-more-button{
  border: none;
  outline: none;
  text-transform: uppercase;
  padding: 8px 0;
  font-size: 0.8125rem;
  line-height: 15px;
  letter-spacing: 0.05em;
  font-family: 'Commuters Sans', sans-serif;
  font-weight: 600;
  padding-bottom: 4px;
  border-bottom: 2px solid #000;
  cursor: pointer;
  margin-top: 20px;
}

.project .content .description{
  max-width: 76%;
  margin: 0 auto;
  max-height: 68px;         /* adjust as needed */
  overflow: hidden;
  transition: max-height 0.3s ease;
  position: relative;
}

.project .content .description.expanded {
  max-height: none;
}

.project .content .description p{
  margin: 0;
  font-size: 1.125rem;
  line-height: 33px;
}

.project .content .description p:empty{
  display: none; /* Hide empty paragraphs */
}

/* Banner */
.project-banner{
  position: relative;
  height: 0;
  padding-top: 52.64%; /* 16:9 aspect ratio */
  overflow: hidden;
}
.project-banner img {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  object-fit: cover;
}

/* Details: Upper */
.project-details-upper{
  text-align: center;
  padding-bottom: 68px;
  position: relative;
}

.project-details-upper::after {
  content: "";
  display: block;
  width: 4.625rem;
  height: 2px;
  background: #000;
  position: absolute;
  left: 50%;            /* center horizontally */
  transform: translateX(-50%); /* shift it back by half its width */
  bottom: 0;
}

.project-details-upper h1 {
  font-size: 2.5rem;
}

.project-details-upper h2 {
  margin: 0;
  font-size: 1.1rem;
}

.project-details-upper .project-location{
  text-transform: uppercase;
}

.project-details-upper h3 {
  margin: 1rem 0 0;
  font-size: 0.9rem;
  font-weight: 400;
}

/* Details: Middle */
.project-details-middle {
  /* border-top: 1px solid; */
  /* border-bottom: 1px solid; */
  display: grid;
  /* padding: 2rem 0; */
}

.project-details-middle h3, .project-details-middle p {
  margin: 0;
}

.project-details-middle p {
  font-size: 2.4rem;
  line-height: 100%;
}


/* Amenities */
.project-amenities {
  display: grid;
  column-gap: 3.625rem;
  row-gap: 4.125rem;
  margin-bottom: 3rem;
}

.project-amenity {
  text-align: center;
}

.project-amenity img {
  width: 100%;
  height: 4rem;
  object-fit: contain;
}

.project-amenity p {
  margin: 0;
  font-size: 0.75rem;
  font-weight: 600;
  font-family: 'Commuters Sans', sans-serif;
  text-transform: uppercase;
  line-height: 1.75;
  word-break: break-word;
}

/* Desktop-only */
@media screen and (min-width: 768px) {
  #projects {
    padding: 0 64px;
    grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
    column-gap: 24px;
  }
	.project-banner {
	  /* height: 100vh;
	  max-height: 1028px; */
	}
  .project-preview.expanded {
    grid-column: span 3;
  }
  .project-details-upper h1 {
	margin: 4rem 0 0;
  }

  .project-details-middle {
    margin: 0 0 110px;
    grid-template-columns: repeat(3, auto);
  }

  .project-details-middle .project-details-wrapper{
    width: fit-content;
    position: relative;
  }

  .project-details-middle .project-details-wrapper:first-child{
    padding-right: 44px;
  }

  .project-details-middle .project-details-wrapper:last-child{
    padding-left: 44px;
  }

  .project-details-middle .project-details-wrapper:nth-child(even){
    padding: 0 60px;
  }

  .project-details-middle .project-details-wrapper:nth-child(even)::after ,
  .project-details-middle .project-details-wrapper:nth-child(even)::before{
    content: "";
    display: block;
    width: 2px;
    height: 100%;
    background: #000;
    position: absolute;
    top: 0;
    left: 0;
  }

  .project-details-middle .project-details-wrapper:nth-child(even)::after {
    right: 0;
    left: auto;
  }

  .project-amenities {
    grid-template-columns: repeat(7, 1fr);
  }
}

/* Mobile-only */
@media screen and (max-width: 767px) {
  #projects {
    padding: 0 32px;
    grid-template-rows: repeat(auto-fit, minmax(0, 1fr));
    row-gap: 12px;
  }
	.project-banner {
		height: 70vw;
	}
  .project-preview.expanded {
    grid-row: span 3;
  }
  .project-details-upper {
    text-align: start;
  }
  .project-details-upper h1 {
	  margin: 2rem 0 0;
    font-size: 2.25rem;
    line-height: 42px;
  }

  .project .content{
    margin-left: auto;
    margin-right: auto;
    width: 84%;
    text-align: start;
  }

  .project .content h2{
    font-size: 1.75rem;
    line-height: 31px;
  }

  .project .content .description{
    max-width: 100%;
    text-align: start;
  }
  .project-details-middle {
    /* text-align: center; */
    margin: 20px 0;
    grid-gap: 20px;
  }

  .project-details-middle p{
    font-size: 1.5rem;
    line-height: 100%;
  }
	.project-details-middle > div + div {
		margin-top: 1.5rem;
	}
  .project-amenities {
    grid-template-columns: repeat(auto-fit, minmax(20vw, 1fr));
  }

  .project-meta-amenities-heading::after{
    content: "";
    display: block;
    width: 4.625rem;
    height: 2px;
    background: #000;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 0;
  }

  .project-meta-amenities-heading{
    margin-top: 110px;
    margin-left: auto;
    margin-right: auto;
    width: 84%;
    text-align: start;
    position: relative;
    padding-top: 68px;
  }
}

.request-brochure{
  background: #1E4151;
  padding: 136px 0 145px;
  color: #FFFFFF;
  margin: 110px 0 -100px;
  position: relative;
}

.request-brochure .request-brochure-wrapper{
  text-align: center;
}

.request-brochure h2{
  font-size: 2.5rem;
  line-height: 100%;
  font-family: 'Americana', sans-serif;
  font-weight: 400;
  margin: 0 0 12px;
}

.request-brochure p{
  font-size: 1.125rem;
  line-height: 100%;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  font-family: 'Commuters Sans', sans-serif;
  font-weight: 400;
  margin: 0 0 58px;
}


.request-brochure button{
  padding: 10px 15px 6px;
  background: #FFFFFF;
  font-family: 'Commuters Sans', sans-serif;
  font-weight: 600;
  font-size: 14px;
  line-height: 30px;
  letter-spacing: 0.05em;
  text-align: center;
  cursor: pointer;
}

.request-brochure-modal{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1000;
  padding: 100px;
  background: #1E4151;
  color: #FFFFFF;
}

.request-brochure-modal .modal-content{
  min-width: 574px
}

.brochure-modal-open::after{
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: -1;
}

.brochure-modal-open{
  overflow: hidden;
  /* background-color: rgba(255, 255, 255, 0.5); */
  /* z-index: -1; */
}


.modal-content {
  position: relative;
}

.modal-content .modal-close{
  position: absolute;
  right: -50px;
  top: -50px;
  font-size: 2.5rem;
  cursor: pointer;
}

.modal-form .hidden-fields{
  display: none;
  visibility: hidden;
  pointer-events: none;
}

.modal-form .form-heading{
  font-weight: 400;
  font-size: 2.5rem;
  line-height: 55px;
  text-align: center;
  margin: 0 0 76px;
}

.modal-form .form-input{
  margin-bottom: 30px;
}

.modal-form .form-input p{
  margin: 0;
}

.modal-form .form-input p label{
  font-family: 'Commuters Sans', sans-serif;
  font-weight: 600;
  font-style: SemiBold;
  font-size: 0.8125rem;
  line-height: 15px;
  letter-spacing: 0.05rem;
  text-align: center;
} 

.modal-form .form-input p input,
.modal-form .form-input p select{
  background: none;
  border: none;
  border-bottom: 1px solid #FFFFFF;
  width: 100%;
  font-family: 'Americana', sans-serif;
  font-weight: 400;
  font-size: 1.25rem;
  line-height: 55px;
  letter-spacing: 0%;
  color: #fff;
}

.modal-form .form-input p select{
  min-height: 58px;
}

.modal-form .form-input p select:focus,
.modal-form .form-input p select:focus-visible{
  outline: none;
}

.modal-form  .form-submit-button {
  margin-top: 56px;
}

.modal-form  .form-submit-button input{
  background: #FFFFFF;
  border: none;
  color: #1E4151;
  font-family: 'Commuters Sans', sans-serif;
  font-weight: 600;
  font-size: 1.14rem;
  line-height: 30px;
  letter-spacing: 0.05em;
  text-align: center;
  padding: 1px 14px;
  cursor: pointer;
}


input:focus,
input:focus-visible,
button:focus,
button:focus-visible {
  outline: none;
}

.whatsapp{
    position: fixed;
    bottom: 10%;
    right: 2%;
}

.whatsapp svg{
    width: 64px;
    height: 64px;
}

/* Mobile-only */
@media screen and (max-width: 767px) {
  .request-brochure-wrapper{
    margin-left: auto;
    margin-right: auto;
    width: 84%;
  }

  .request-brochure h2{
    font-size: 1.875rem;
    line-height: normal;
  }

  .request-brochure p{
    font-size: 1.125rem;
    line-height: 32px;
    margin-top: 20px;
  }

  .request-brochure-modal{
    top: 0;
    left: 0;
    transform: none;
    padding: 50px 20px;
    height: 100vh;
  }

  .request-brochure-modal .modal-content{
    min-width: fit-content;
  }

  .modal-content .modal-close{
    top: -40px;
    right: 10px;
  }
  
  .modal-form .form-heading{
    text-align: start;
    margin-bottom: 50px;
  }
}